<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Mark 2 Grade</title>
</head>
<body>
    <script language="javascript">

        function mark2Grade(mark) {
            if (mark>100 || mark<0) return "Invalid";

            if (mark>79) return "A+";
            else if (mark>74) return "A";
            else if (mark>69) return "A-";
            else if (mark>64) return "B+";
            else if (mark>59) return "B";
            else if (mark>54) return "B-";
            else if (mark>49) return "C";
            else if (mark>39) return "D";
            else if (mark>0) return "F";


        }

        var mark =prompt("Please Enter Your Mark");
        var grade = mark2Grade(mark);
        document.write("Mark:" + mark + " is grade : " +grade + "<br>");

        switch(grade){

            case "A+":
                document.write("Congratulations! Your grade is Excellent.");
                break;
            case "A":
                document.write("Congratulations! Your grade is Very Good.");
                break;

            case "A-":
                document.write("Congratulations! Your grade is  Good.");
                break;
            case "F":
                document.write("You are a Looser!!!!");
                break;

            default:
                document.write("Try Hard! You will do better  :) ");
            case "Invalid":
                document.write("Go Home . You Are Drunk >_< ")

        }// end of switch
    </script>
</body>
</html>